void getPush() {
  const char* host = "api.pushbullet.com";
  webSocket.disconnect();
  WiFiClientSecure client;

  if (!client.connect(host, 443)) {
    Serial.println("connection failed");
    return;
  }
  //Serial.println("HTTPS GET");

  String url = "api.pushbullet.com/v2/pushes?limit=1";
  client.print(String("GET ") + url + " HTTP/1.1\r\n" +
               "Host: " + host + "\r\n" +
               "User-Agent: ESP8266\r\n" +
               "Access-Token: " + tokenKey + "\r\n" +
               "Content-length: " + '0' + "\r\n"
               "Content-Type: application/json\r\n" +
               "Connection: close\r\n\r\n"
              );
  //Serial.println("Reading back reply");
  delay(10);
  String header = client.readStringUntil('{');
  String line = "{";
  line.concat(client.readStringUntil('}'));
  line.concat("}]}");

  DynamicJsonBuffer jsonPushes;
  JsonObject& root = jsonPushes.parseObject(line);
  if (!root.success())
  {
    Serial.println("parseObject() failed");
    return;
  }
  //Serial.println(line);
  const char* pusherName    = root["pushes"][0]["title"];
  const char* pusherMessage    = root["pushes"][0]["body"];
  const char* pusherDismissed    = root["pushes"][0]["dismissed"];
  if (strcmp(pusherDismissed, "false") == 0 || firstBoot == true) {//strcmp(pusherDismissed, "false") == 0)

    time_t now = time(nullptr);

    oled.setTextXY(0, 0);
    if (firstBoot == true) {
      oled.putString("Powered Up");
      firstBoot = false;
    }
    else
      oled.putString("Last Alert:");



    oled.setTextXY(1, 0);
    oled.putString(pusherMessage);

    oled.setTextXY(4, 0);
    oled.putString(ctime(&now));
    
    if (strcmp(pusherName, "BATTERY LOW") != 0) {//don't make noise if battery is low
      for (int i = 0; i < 10; i++) {
        digitalWrite(LEDpin, !digitalRead(LEDpin));
        delay(50);
        digitalWrite(buzzerPin, !digitalRead(buzzerPin));
      }
      digitalWrite(LEDpin, HIGH);
      digitalWrite(buzzerPin, LOW);

      time_t now = time(nullptr);
      Serial.print(ctime(&now));
      Serial.print("  ");
      Serial.print(pusherName);
      Serial.print("  ");
      Serial.println(pusherMessage);
    }
  }

}

