void saveConfigCallback () {
  Serial.println("Should save config");
  shouldSaveConfig = true;
}

boolean WiFiConnection() {
  digitalWrite(LEDpin, LOW);

  WiFiManagerParameter customTokenKey("Token", "0.xxxx Token From PushBullet", tokenKey, 40);
  WiFiManagerParameter customPusherName("PusherName", "Unique Name", pusherName, 40);
  WiFiManagerParameter customTriggerMessage("TriggerMessage", "Trigger Message to be Sent", triggerMessage, 100);

  //set config save notify callback
  wifiManager.setSaveConfigCallback(saveConfigCallback);

  //add all your parameters here
  wifiManager.addParameter(&customTokenKey);
  wifiManager.addParameter(&customPusherName);
  wifiManager.addParameter(&customTriggerMessage);


  if (resetFlag)
    wifiManager.resetSettings();// held the button long enough, so wipe out the wifi settings and launch the portal

  //wifiManager.setTimeout(120);//2min, if can't get connected just go back to sleep
  if (!wifiManager.autoConnect("COLLECTOR")) {// SSID you connect to from browser
    Serial.println("failed to connect and hit timeout");
    return 0;
  }

  Serial.println("Connected");


  //read updated parameters
  strcpy(tokenKey, customTokenKey.getValue());
  strcpy(pusherName, customPusherName.getValue());
  strcpy(triggerMessage, customTriggerMessage.getValue());

  //save the custom parameters to FS
  if (shouldSaveConfig) {
    Serial.println("saving config");
    DynamicJsonBuffer jsonBuffer;
    JsonObject& json = jsonBuffer.createObject();
    json["tokenKey"] = tokenKey;
    json["pusherName"] = pusherName;
    json["triggerMessage"] = triggerMessage;

    File configFile = SPIFFS.open("/config.json", "w");
    if (!configFile) {
      Serial.println("failed to open config file for writing");
    }

    json.printTo(Serial);
    json.printTo(configFile);
    configFile.close();
    //end save
  }

  Serial.println("");// WiFi info
  Serial.println("WiFi connected");
  Serial.println("IP address: ");
  Serial.println(WiFi.localIP());

  oled.setTextXY(6, 0);
  oled.putString("IP:");
  oled.setTextXY(6, 3);
  oled.putString(WiFi.localIP().toString());

}

